<?php

/*
=====================================================================

  프로젝트 이름 : 피리 웹프로그램

  만든사람 : 피리 PIREE ( piree1977@gmail.com )

  홈페이지 : www.piree.kr

  작성날짜 : 2015년 11월 25일 수요일 오후 19시 06분 - 날씨 흐리고 살짝 쌀쌀함

  그누보드5.4용 : 2020년 08월 10일 월요일 오후 12시 19분 - 날씨 흐림, 29, 29, 28, 24 / 최고 좋음, 7, 2

  저 작 권 : Copyright ⓒ 2014-2023 피리 piree.kr All right reserved
              그누보드 외에 추가된 소스는~
              만든사람의 허락없이 무단으로 사용할수 없습니다.
              사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
              https://.piree.kr 에 문의해 주세요.

=====================================================================
 피리 > 관리자 > 피리 기본 관리 > 설정 정보 저장하기
=====================================================================

*/

  include_once('./_common.php' );

  IF ( !$is_admin )
  {
      alert('접근할 권한이 없습니다.');
  }

  auth_check($auth[$sub_menu], "w");

  $get__p770000 = 1;

  $prog_config_page = 1;

  include_once( piree__path($sub_menu, 'config') );

  include_once( piree__path($piree_prog_a[770000]['num'], 'member.lib.php') );

  include_once( piree__path($piree_prog_a[770000]['num'], 'form.lib.php', 0) );

/*
  * PIREE_SOSS
  * 피리 PIREE ( piree1977@gmail.com )
  * Ver 2.0.0
*/

  include_once( piree__path($sub_menu, 'save.lib.php') );

/*
PIREE_PROG_ALL_SOSS
*/

  $prog_top_include_n = $piree_prog_a[$sub_menu]['top_include_n'];

  $prog_head_include_n = $piree_prog_a[$sub_menu]['head_include_n'];

  $prog_body_include_n = $piree_prog_a[$sub_menu]['body_include_n'];

  IF ( $piree_prog_a[$sub_menu]['include_use_n'] == 1 )
  {

      $prog_top_include_n = (int)$_POST['prog_top_include_n'];
      IF ( $prog_top_include_n != 1 && $prog_top_include_n != 11 )
      {
          $prog_top_include_n = 0;
      }

      $prog_head_include_n = (int)$_POST['prog_head_include_n'];
      IF ( $prog_head_include_n != 1 && $prog_head_include_n != 11 )
      {
          $prog_head_include_n = 0;
      }

      $prog_body_include_n = (int)$_POST['prog_body_include_n'];
      IF ( $prog_body_include_n != 1 && $prog_body_include_n != 11 )
      {
          $prog_body_include_n = 0;
      }

  }

  $skin_pc_c = save__str($_POST['skin_pc_c']);

  $skin_mo_c = save__str($_POST['skin_mo_c']);

  $pc_top_html_s = save__str($_POST['pc_top_html_s']);

  $mo_top_html_s = save__str($_POST['mo_top_html_s']);

  $mo_top_html_s = save__str($_POST['mo_top_html_s']);

  IF ( PIREE_IS_DEMO_N == 1 )
  {

      $prog_top_include_n = 1;

      $prog_head_include_n = 0;

      $prog_body_include_n = 0;

  }

  $is_save = 0;

  $go_url_s = get__https_url(piree__admin_url($sub_menu, '__config.form.php'), 'https');

  include_once( piree__admin_path($sub_menu, 'program.lib.php') );

  save_piree__program_info($sub_menu);

      $sql_common  = "`pgs_prog_s`    = '". $piree_prog_a[$sub_menu]['name'] ."', ";
      $sql_common .= "`pgs_skin_pc_c` = '". $skin_pc_c ."', ";
      $sql_common .= "`pgs_skin_mo_c` = '". $skin_mo_c ."', ";

/*
PIREE_PROG_ALL_SOSS
*/

      $sql_common .= "`pgs_top_include_n` = '". $prog_top_include_n ."', ";

      $sql_common .= "`pgs_head_include_n` = '". $prog_head_include_n ."', ";

      $sql_common .= "`pgs_body_include_n` = '". $prog_body_include_n ."', ";

      $sql_common .= "`pgs_cf_1_s` = '". $html_edit_password_s ."', ";

      IF ( !$p770000__html_edit_password_s || ( $p770000__html_edit_password_s && ( $html_edit_password_s == $p770000__html_edit_password_s ) ) )
      {

          $sql_common .= "`pgs_cf_1_txt` = '". $pc_top_html_s ."', ";

          $sql_common .= "`pgs_cf_2_txt` = '". $mo_top_html_s ."', ";

      }

      $sql  = "UPDATE `". $piree['program_sam'] ."` SET ";
      $sql .= $sql_common;
      $sql .= "`pgs_modi_time_n`  = '". G5_SERVER_TIME  ."' ";
      $sql .= "WHERE `pgs_prog_n` = '". $sub_menu ."'";

      IF ( !sql_query($sql) )
      {

          $save_err_msg = "[ ". $piree_prog_a[770000]['name'] ." ] 설정 정보를 수정하지 못했습니다.";

          alert($save_err_msg, $go_url_s);

      }

  include_once( piree__admin_path($piree_prog_a[770000]['num'], 'member.max.level.inc.php') );

  include_once( piree__admin_path($sub_menu, 'fd_add__piree.inc.php') );

  include_once( piree__admin_path($piree_prog_a[770000]['num'], 'piree_web_prog.save.inc.php') );

  alert("[ ". $piree_prog_a[770000]['name'] ." ] 설정 정보를 저장하였습니다.", $go_url_s, 0);
  EXIT;

?>